libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::const_mem_functor0< T_return, T_obj > Class Template Reference
mem_fun()

const_mem_functor0 wraps const methods with 0 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::const_mem_functor0< T_return, T_obj >:
[legend]

## Public Types

typedef T_return(T_obj::* | function_type )() const
typedef T_return | result_type

## Public Member Functions

| const_mem_functor0 ()
| Constructs an invalid functor.
| const_mem_functor0 (function_type _A_func)
| Constructs a const_mem_functor0 object that wraps the passed method.
T_return | operator() (const T_obj* _A_obj) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (const T_obj& _A_obj) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes

function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj>
class sigc::const_mem_functor0< T_return, T_obj >

const_mem_functor0 wraps const methods with 0 argument(s).

Use the convenience function mem_fun() to create an instance of const_mem_functor0.

The following template arguments are used:

- T_return The return type of operator()().
- T_obj The object type.

## Constructor & Destructor Documentation

template <class T_return , class T_obj >

sigc::const_mem_functor0< T_return, T_obj >::const_mem_functor0 | ( | function_type | _A_func | ) |

inlineexplicit

Constructs a const_mem_functor0 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj >

T_return sigc::const_mem_functor0< T_return, T_obj >::operator() | ( | const T_obj * | _A_obj | ) | const

inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Pointer to instance the method should operate on.

Returns
  The return value of the method invocation.

template <class T_return , class T_obj >

T_return sigc::const_mem_functor0< T_return, T_obj >::operator() | ( | const T_obj & | _A_obj | ) | const

inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.

Returns
  The return value of the method invocation.